package com.atlassian.bitbucket.internal.scm.git.lfs.model;

import javax.annotation.Nonnull;
import java.util.Collection;

import static java.util.Objects.requireNonNull;

public class BatchResponse {

    private final Collection<ResponseObject> objects;

    public BatchResponse(@Nonnull Collection<ResponseObject> objects) {
        this.objects = requireNonNull(objects, "objects");
    }

    @Nonnull
    public Collection<ResponseObject> getObjects() {
        return objects;
    }
}
